
<?php

// "Neuere" Schreibeise bei Constante
const DIESEL = 1.38;

// ältere Codes haben diese Function als Konstante
define("BENZIN", 1.55);

$liter = 50;
echo "<p>Jannes tankt $liter Liter Diesel und bezahlt dafür " .$liter * DIESEL ." Euro.</p>";
$liter = 36;
echo "<p>Ulrike tankt $liter Liter Benzin und bezahlt dafür " .$liter * BENZIN ." Euro.</p>";

echo "<hr><br><hr>";

const MINUTE = 60 ;
echo "<p>Eine Stunde hat ", MINUTE ." Minuten.</p>";

const STUNDE = 24 ;
echo "<p>Ein Tag hat ",  MINUTE * STUNDE ." Stunden.</p>" ;

const TAGE = 7 ;
echo "<p>Eine Woche hat ", STUNDE * TAGE ." Tage.</p>";


//Vordefinierte Konstanten

echo "<hr><br><hr>";

echo "PHP-Version: " .PHP_VERSION ."<br>\n";

echo "Größter Integerwert auf diesem System: " .PHP_INT_MAX ."<br>\n";

echo "Pi: " .M_PI ."<br>\n";

echo "Betriebssystem: " .PHP_OS ."<br>\n";


?>